Page MenuHomePhabricator

Archive abandoned design resources/wiki articles in a clear manner
Closed, ResolvedPublic

Event Timeline

Volker_E created this task.Aug 8 2016, 10:57 PM

{{Historical}} is the template to use, It has a optional parameter that can be used to add a custom message below to refer users to the current relevant pages.

Use either of these, as appropriate. (Use the TNT version on mediawiki)

Sumit added a subscriber: Sumit.Sep 13 2016, 6:53 AM

I think this task is too simple to execute for a 3-month internship, and on the other hand it may become a community trap if we start thinking of changes to templates and that causes unexpected reactions.
A better question for @Volker_E and @Moushira is whether they would be interested in mentoring an intern strong in documentation, written English, maybe also community managent in order to help in one of the parent tasks, T142443: Archive abandoned design resources/wiki articles in a clear manner or T121647: Explore a process for UX/UI discussion. Outreachy is indeed a good program for these profiles too, not just developers.

@Volker_E, @Moushira considering the above view, do we have a motivation to feature this as a research/design internship for Outreachy-13? It'd be great to have a non-coding project as an internship, as it'll help attract varied talent to Wikimedia.

Qgil added a comment.Sep 15 2016, 8:38 AM

What needs to be done to consider this task resolved?

@Sumit I'm not sure if this would be suitable for Outreachy13 due to the ongoing internal organizational work, and due to each page needing to be evaluated and processed by an experienced designer (whether volunteer or staff). However, if an experienced web-designer does apply, and Volker or Moushira are willing to provide strong mentorship, it might work.

@Qgil to resolve this task,

  • all the pages listed in the etherpad need to be evaluated,
    • if the page is great, it should be kept and linked
    • if the page is outdated but contains useful info, that info should either be updated or be merged to somewhere that will be kept updated
    • if the page is outdated and nothing useful remains, it should be tagged as historical/outdated, with a link to where the related&maintained info is now located
  • All good pages should be integrated with the forthcoming hub (linked from it, or merged with a page that is linked from it),

By the end, it should be clear what pages are still useful (to developers and editors), and which pages should be ignored (because their good content has been merged to a better location, or they no longer contain content that is accurate & maintained).
Hopefully, all with a focus on merging info into existing pages (and updating them), rather than creating new pages from scratch.

@Quim Adding to what @Quiddity said above, I don't even see the evaluation of the Etherpad listed documents as necessary to resolve this, but specifically just move the articles to an archive place and put a clearer notification on top of them to immediately make the “archived” state clear.
The first seven have been identified by us as outdated and should be moved to archive.

Removing Possible-Tech-Projects. According to the feedback, this is not a good Outreachy task. Thank you!

@Moushira is assigned to this task, so she will make the final call on what needs to be done. :)

Volker_E closed this task as Resolved.Jan 7 2017, 6:00 AM
Volker_E claimed this task.

I've updated all the listed as wished.

Qgil awarded a token.